twcxz
Posts: 1
Joined: Sat Feb 24, 2018 3:58 pm

Google Assistant not working. Help!

Sat Feb 24, 2018 4:09 pm

Hey everyone, i am quite new to raspberry pi, and am following a tutorial made by Novaspirit tech to install Google assistant on raspberry pi. The guide can be found here:
https://www.novaspirit.com/2017/05/23/v ... pberry-pi/

Anyway. when i enter the command that says; "python -m pip install --upgrade https://github.com/googlesamples/assist ... armv7l.whl" it returns this:

Code: Select all

(env) [email protected]:~ $ python -m pip install --upgrade https://github.com/googlesamples/assistant-sdk-python/releases/download/0.3.0/google_assistant_library-0.0.2-py2.py3-none-linux_armv7l.whl
Collecting google-assistant-library==0.0.2 from https://github.com/googlesamples/assistant-sdk-python/releases/download/0.3.0/google_assistant_library-0.0.2-py2.py3-none-linux_armv7l.whl
  Downloading https://github.com/googlesamples/assistant-sdk-python/releases/download/0.3.0/google_assistant_library-0.0.2-py2.py3-none-linux_armv7l.whl (6.5MB)
    3% |█                               | 204kB 6.3kB/s eta 0:16:29Exception:
Traceback (most recent call last):
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 232, in _error_catcher
    yield
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 314, in read
    data = self._fp.read(amt)
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/cachecontrol/filewrapper.py", line 60, in read
    data = self.__fp.read(amt)
  File "/usr/lib/python3.4/http/client.py", line 500, in read
    return super(HTTPResponse, self).read(amt)
  File "/usr/lib/python3.4/http/client.py", line 539, in readinto
    n = self.fp.readinto(b)
  File "/usr/lib/python3.4/socket.py", line 371, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3.4/ssl.py", line 745, in recv_into
    return self.read(nbytes, buffer)
  File "/usr/lib/python3.4/ssl.py", line 617, in read
    v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/env/lib/python3.4/site-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/home/pi/env/lib/python3.4/site-packages/pip/commands/install.py", line 324, in run
    requirement_set.prepare_files(finder)
  File "/home/pi/env/lib/python3.4/site-packages/pip/req/req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "/home/pi/env/lib/python3.4/site-packages/pip/req/req_set.py", line 620, in _prepare_file
    session=self.session, hashes=hashes)
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 821, in unpack_url
    hashes=hashes
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 659, in unpack_http_url
    hashes)
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 882, in _download_http_url
    _download_url(resp, link, content_file, hashes)
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 605, in _download_url
    consume(downloaded_chunks)
  File "/home/pi/env/lib/python3.4/site-packages/pip/utils/__init__.py", line 852, in consume
    deque(iterator, maxlen=0)
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 571, in written_chunks
    for chunk in chunks:
  File "/home/pi/env/lib/python3.4/site-packages/pip/utils/ui.py", line 139, in iter
    for x in it:
  File "/home/pi/env/lib/python3.4/site-packages/pip/download.py", line 560, in resp_read
    decode_content=False):
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 357, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 324, in read
    flush_decoder = True
  File "/usr/lib/python3.4/contextlib.py", line 77, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/pi/env/lib/python3.4/site-packages/pip/_vendor/requests/packages/urllib3/response.py", line 237, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='github-production-release-asset-2e65be.s3.amazonaws.com', port=443): Read timed out.
(env) [email protected]:~ $ 
I have no idea what to do and after searching for about half an hour have found nothing on how to fix it.

Thanks

Tom

User avatar
topguy
Posts: 4774
Joined: Tue Oct 09, 2012 11:46 am
Location: Trondheim, Norway

Re: Google Assistant not working. Help!

Sun Feb 25, 2018 10:28 pm

Things move fast and that guide is old by now, why not use the official documentation: https://developers.google.com/assistant/sdk/

Return to “Automation, sensing and robotics”

Who is online

Users browsing this forum: No registered users and 12 guests